# Generated from email_spec-2.2.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name email_spec

Name: rubygem-%{gem_name}
Version: 2.2.0
Release: 1%{?dist}
Summary: Easily test email in RSpec, Cucumber or Minitest
License: MIT
URL: http://github.com/email-spec/email-spec/
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(cucumber) >= 1.3.17
# BuildRequires: rubygem(cucumber) < 1.4
# BuildRequires: rubygem(actionmailer) >= 4.2
# BuildRequires: rubygem(actionmailer) < 5
# BuildRequires: rubygem(rack-test)
# BuildRequires: rubygem(rspec) >= 3.1
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(capybara)
# BuildRequires: rubygem(database_cleaner)
# BuildRequires: rubygem(test-unit)
BuildArch: noarch

%description
Easily test email in RSpec, Cucumber, and MiniTest.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# cucumber
# rspec spec
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/MIT-LICENSE.txt
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/Changelog.md
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/examples
%{gem_instdir}/features
%{gem_instdir}/spec

%changelog
* Mon Aug 23 2021 mockbuilder - 2.2.0-1
- Initial package
